<app-post *ngIf="post" [post]="post" [previous]="previous" [next]="next">

    <!-- Article -->
    <ng-container class="article">
        <p>
            An <code>extension</code> sanitization <code>method</code> that removes all trailing occurrences of a set of
            characters
            from the current validated property.
        </p>
        <div>
            <h2 class="section-heading">
                Definition
                <a id="definition" aria-hidden="true" class="section-heading-ref"></a>
            </h2>
            <ul>
                <li>
                    <h3>
                        <code>.TrimEnd(params char[] traimChars)</code>
                    </h3>
                    <h3>Supported data types :</h3>
                    <ul>
                        <li>
                            Strings.
                        </li>
                    </ul>
                    <h3>Parameters :</h3>
                    <ul>
                        <li>
                            <code>traimChars</code> : An optional params set that will be removed from the trailing of
                            the string.
                            <br><i>If omitted, all trailing white-spaces will be removed</i>.
                        </li>
                    </ul>

                    <h3>Returns :</h3>
                    <ul>
                        <li>
                            A <code>Validator</code> to add more <code>validation</code> or <code>sanitization</code>.
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
        <div>
            <h2 class="section-heading">
                Examples
                <a id="examples" aria-hidden="true" class="section-heading-ref"></a>
            </h2>
            <ul>
                <li>
                    <h3>
                        Example 1 :
                        <a id="example1" aria-hidden="true" class="section-heading-ref"></a>
                    </h3>
                    <strong>To do : </strong>
                    <i>Trim the trailing white-spaces from the person's name property before validation.
                    </i>
                    <p>
                        Let's start with creating a new class called <code>Person</code>.
                    </p>
                    <pre class="code-block">
                            <code appHighlight>{{person1}}</code>
                        </pre>
                    <pre class="code-block">
                            <code appHighlight>{{example1}}</code>
                        </pre>
                </li>
            </ul>
        </div>
    </ng-container>
    <!-- End Article -->

</app-post>
